Package org.apache.wiki.api.plugin

## Interface WikiPlugin

All Superinterfaces:
  `Plugin`

    @Deprecated
    public interface WikiPlugin
    extends Plugin

Deprecated.
use `Plugin` instead
Defines an interface for plugins. Any instance of a wiki plugin should implement this interface.

See Also:
  `Plugin`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`default java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)` Deprecated.
`java.lang.String` `execute​(WikiContext context, java.util.Map<java.lang.String,​java.lang.String> params)` Deprecated.

### Method Detail

#### execute

    default java.lang.String execute​(Context context,
                                     java.util.Map<java.lang.String,​java.lang.String> params)
                              throws PluginException

Deprecated.

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`

#### execute

    java.lang.String execute​(WikiContext context,
                             java.util.Map<java.lang.String,​java.lang.String> params)
                      throws PluginException

Deprecated.

Throws:
  `PluginException`